Bug 215634 - evolution: crash at start
evolution: crash at start
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks: FC7Target
  Show dependency treegraph
 
Reported: 2006-11-14 17:57 EST by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: evolution-2.10.2-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-17 17:46:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
latest stack. (27.28 KB, text/plain)
2006-11-15 14:33 EST, Need Real Name
no flags Details
latest stack (29.02 KB, text/plain)
2007-02-18 07:54 EST, Need Real Name
no flags Details
bug buddy (29.61 KB, text/plain)
2007-04-12 13:51 EDT, Need Real Name
no flags Details
latest crash (28.88 KB, text/plain)
2007-04-18 12:17 EDT, Need Real Name
no flags Details
crash while running (18.53 KB, text/plain)
2007-05-05 10:56 EDT, Need Real Name
no flags Details
Proposed patch (2.59 KB, patch)
2007-05-09 15:50 EDT, Matthew Barnes
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 437331 None None None Never

  None (edit)
Description Need Real Name 2006-11-14 17:57:13 EST
I started evolution, and it crashed.
Can't reproduce.

Maybe related to bug 215551 and bug 215377.

Distribution: Fedora Core release 6 (Zod)
Gnome Release: 2.16.0 2006-09-04 (Red Hat, Inc)
BugBuddy Version: 2.16.0

System: Linux 2.6.18-1.2849.fc6 #1 SMP Fri Nov 10 12:45:28 EST 2006 i686
X Vendor: The X.Org Foundation
X Vendor Release: 70101000
Selinux: Enforcing
Accessibility: Disabled
----------- .xsession-errors ---------------------
report junk?? Re: news 931
report junk?? Is progress in equine
report junk?? Re: Skip to content
report junk?? As on conch
Applications can not close shared connections.  Please fix this in your app. 
Ignoring close request and continuing.CalDAV Eplugin starting up ...
evolution-shell-Message: Killing old version of evolution-data-server...
** (evolution:3541): DEBUG: mailto URL command: evolution --component=mail %s
** (evolution:3541): DEBUG: mailto URL program: evolution
(evolution:3541): camel-WARNING **: cert size read truncated \x98: 0 != 827
** (bug-buddy:3571): WARNING **: Symbol für Ordner öffnen konnte nicht geladen
werden
--------------------------------------------------

Memory status: size: 153550848 vsize: 0 resident: 153550848 share: 0 rss:
16756736 rss_rlim: 0
CPU usage: start_time: 1163544751 rtime: 0 utime: 39 stime: 0 cutime:29 cstime:
0 timeout: 10 it_real_value: 0 frequency: 1

Backtrace was generated from '/usr/bin/evolution'

(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1209022240 (LWP 3541)]
[New Thread -1314935920 (LWP 3567)]
[New Thread -1293956208 (LWP 3565)]
[New Thread -1272976496 (LWP 3563)]
[New Thread -1250231408 (LWP 3561)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
0x00b06402 in __kernel_vsyscall ()
#0  0x00b06402 in __kernel_vsyscall ()
#1  0x494d5cbb in __waitpid_nocancel () from /lib/libpthread.so.0
#2  0x4190dcf6 in gnome_gtk_module_info_get () from /usr/lib/libgnomeui-2.so.0
#3  0x0805d9f9 in POA_GNOME_Evolution_DataServer_InterfaceCheck__fini ()
#4  <signal handler called>
#5  0x00b06402 in __kernel_vsyscall ()
#6  0x4941875b in __open_nocancel () from /lib/libc.so.6
#7  0x493bb682 in __GI__IO_file_open () from /lib/libc.so.6
#8  0x493bb825 in _IO_new_file_fopen () from /lib/libc.so.6
#9  0x493b0b4d in __fopen_internal () from /lib/libc.so.6
#10 0x493b2fbc in fopen64 () from /lib/libc.so.6
#11 0x49cfb157 in gdk_pixbuf_new_from_file ()
   from /usr/lib/libgdk_pixbuf-2.0.so.0
#12 0x419fd02c in e_text_to_html () from /usr/lib/evolution/2.8/libeutil.so.0
#13 0x419fd619 in e_icon_factory_get_icon ()
   from /usr/lib/evolution/2.8/libeutil.so.0
#14 0x410e8a4a in e_pixmaps_update ()
   from /usr/lib/evolution/2.8/libeshell.so.0
#15 0x080585c5 in POA_GNOME_Evolution_DataServer_InterfaceCheck__fini ()
#16 0x08059d20 in POA_GNOME_Evolution_DataServer_InterfaceCheck__fini ()
#17 0x08052a3e in POA_GNOME_Evolution_DataServer_InterfaceCheck__fini ()
#18 0x0805ded3 in POA_GNOME_Evolution_DataServer_InterfaceCheck__fini ()
#19 0x4952b5e1 in g_source_is_destroyed () from /lib/libglib-2.0.so.0
#20 0x4952d342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#21 0x4953031f in g_main_context_check () from /lib/libglib-2.0.so.0
#22 0x495306c9 in g_main_loop_run () from /lib/libglib-2.0.so.0
#23 0x4a4cba23 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#24 0x0805d82a in POA_GNOME_Evolution_DataServer_InterfaceCheck__fini ()
#25 0x49370f2c in __libc_start_main () from /lib/libc.so.6
#26 0x0804f221 in ?? ()

Thread 5 (Thread -1250231408 (LWP 3561)):
#0  0x00b06402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x494d498e in __lll_mutex_lock_wait () from /lib/libpthread.so.0
No symbol table info available.
#2  0x494d07fc in _L_mutex_lock_85 () from /lib/libpthread.so.0
No symbol table info available.
#3  0x494d033d in pthread_mutex_lock () from /lib/libpthread.so.0
No symbol table info available.
#4  0x0805d9e1 in POA_GNOME_Evolution_DataServer_InterfaceCheck__fini ()
No symbol table info available.
#5  <signal handler called>
No symbol table info available.
#6  0x419c7b8a in camel_certdb_nss_cert_get ()
   from /usr/lib/libcamel-provider-1.2.so.8
No symbol table info available.
#7  0x419c7e38 in camel_certdb_nss_cert_get ()
   from /usr/lib/libcamel-provider-1.2.so.8
No symbol table info available.
#8  0x4aae1f29 in SSL_GetStatistics () from /usr/lib/libssl3.so
No symbol table info available.
#9  0x4aae26ac in SSL_GetStatistics () from /usr/lib/libssl3.so
No symbol table info available.
#10 0x4aae333b in SSL_GetStatistics () from /usr/lib/libssl3.so
No symbol table info available.
#11 0x4aae5c8b in NSSSSL_VersionCheck () from /usr/lib/libssl3.so
No symbol table info available.
#12 0x4aae9b75 in SSL_HandshakeCallback () from /usr/lib/libssl3.so
No symbol table info available.
#13 0x4aaeac33 in SSL_ForceHandshake () from /usr/lib/libssl3.so
No symbol table info available.
#14 0x419c6639 in camel_tcp_stream_ssl_enable_ssl ()
   from /usr/lib/libcamel-provider-1.2.so.8
No symbol table info available.
#15 0x00f1f000 in camel_pop3_store_get_type ()
   from /usr/lib/evolution-data-server-1.2/camel-providers/libcamelpop3.so
No symbol table info available.
#16 0x00f1fab8 in camel_pop3_store_get_type ()
   from /usr/lib/evolution-data-server-1.2/camel-providers/libcamelpop3.so
No symbol table info available.
#17 0x419bd6a3 in camel_service_connect ()
   from /usr/lib/libcamel-provider-1.2.so.8
No symbol table info available.
#18 0x419be9e2 in camel_session_get_service_connected ()
   from /usr/lib/libcamel-provider-1.2.so.8
No symbol table info available.
#19 0x00647342 in mail_tool_get_inbox ()
   from /usr/lib/evolution/2.8/components/libevolution-mail.so
No symbol table info available.
#20 0x00641a36 in mail_fetch_mail ()
   from /usr/lib/evolution/2.8/components/libevolution-mail.so
No symbol table info available.
#21 0x0063c785 in mail_enable_stop ()
   from /usr/lib/evolution/2.8/components/libevolution-mail.so
No symbol table info available.
#22 0x4143fc04 in e_msgport_reply () from /usr/lib/libedataserver-1.2.so.7
No symbol table info available.
#23 0x494ce3db in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#24 0x4942806e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 4 (Thread -1272976496 (LWP 3563)):
#0  0x00b06402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x494d21a6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x49510642 in g_async_queue_sort () from /lib/libglib-2.0.so.0
No symbol table info available.
#3  0x4143f5ea in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.7
No symbol table info available.
#4  0x4120934e in e_passwords_set_online ()
   from /usr/lib/libedataserverui-1.2.so.8
No symbol table info available.
#5  0x4120a655 in e_passwords_get_password ()
   from /usr/lib/libedataserverui-1.2.so.8
No symbol table info available.
#6  0x0064532b in mail_session_forget_password ()
   from /usr/lib/evolution/2.8/components/libevolution-mail.so
No symbol table info available.
#7  0x419be7d5 in camel_session_get_password ()
   from /usr/lib/libcamel-provider-1.2.so.8
No symbol table info available.
#8  0x00f1f62d in camel_pop3_store_get_type ()
   from /usr/lib/evolution-data-server-1.2/camel-providers/libcamelpop3.so
No symbol table info available.
#9  0x00f1fb39 in camel_pop3_store_get_type ()
   from /usr/lib/evolution-data-server-1.2/camel-providers/libcamelpop3.so
No symbol table info available.
#10 0x419bd6a3 in camel_service_connect ()
   from /usr/lib/libcamel-provider-1.2.so.8
No symbol table info available.
#11 0x419be9e2 in camel_session_get_service_connected ()
   from /usr/lib/libcamel-provider-1.2.so.8
No symbol table info available.
#12 0x00647342 in mail_tool_get_inbox ()
   from /usr/lib/evolution/2.8/components/libevolution-mail.so
No symbol table info available.
#13 0x00641a36 in mail_fetch_mail ()
   from /usr/lib/evolution/2.8/components/libevolution-mail.so
No symbol table info available.
#14 0x0063c785 in mail_enable_stop ()
   from /usr/lib/evolution/2.8/components/libevolution-mail.so
No symbol table info available.
#15 0x4143fc04 in e_msgport_reply () from /usr/lib/libedataserver-1.2.so.7
No symbol table info available.
#16 0x494ce3db in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#17 0x4942806e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 3 (Thread -1293956208 (LWP 3565)):
#0  0x00b06402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x494d21a6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x49510642 in g_async_queue_sort () from /lib/libglib-2.0.so.0
No symbol table info available.
#3  0x4143f5ea in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.7
No symbol table info available.
#4  0x4143fc59 in e_msgport_reply () from /usr/lib/libedataserver-1.2.so.7
No symbol table info available.
#5  0x494ce3db in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#6  0x4942806e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 2 (Thread -1314935920 (LWP 3567)):
#0  0x00b06402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x494d498e in __lll_mutex_lock_wait () from /lib/libpthread.so.0
No symbol table info available.
#2  0x494d07fc in _L_mutex_lock_85 () from /lib/libpthread.so.0
No symbol table info available.
#3  0x494d033d in pthread_mutex_lock () from /lib/libpthread.so.0
No symbol table info available.
#4  0x0805d9e1 in POA_GNOME_Evolution_DataServer_InterfaceCheck__fini ()
No symbol table info available.
#5  <signal handler called>
No symbol table info available.
#6  0x419c7b8a in camel_certdb_nss_cert_get ()
   from /usr/lib/libcamel-provider-1.2.so.8
No symbol table info available.
#7  0x419c7e38 in camel_certdb_nss_cert_get ()
   from /usr/lib/libcamel-provider-1.2.so.8
No symbol table info available.
#8  0x4aae1f29 in SSL_GetStatistics () from /usr/lib/libssl3.so
No symbol table info available.
#9  0x4aae26ac in SSL_GetStatistics () from /usr/lib/libssl3.so
No symbol table info available.
#10 0x4aae333b in SSL_GetStatistics () from /usr/lib/libssl3.so
No symbol table info available.
#11 0x4aae5c8b in NSSSSL_VersionCheck () from /usr/lib/libssl3.so
No symbol table info available.
#12 0x4aae9b75 in SSL_HandshakeCallback () from /usr/lib/libssl3.so
No symbol table info available.
#13 0x4aaeac33 in SSL_ForceHandshake () from /usr/lib/libssl3.so
No symbol table info available.
#14 0x419c6639 in camel_tcp_stream_ssl_enable_ssl ()
   from /usr/lib/libcamel-provider-1.2.so.8
No symbol table info available.
#15 0x00f1f000 in camel_pop3_store_get_type ()
   from /usr/lib/evolution-data-server-1.2/camel-providers/libcamelpop3.so
No symbol table info available.
#16 0x00f1fab8 in camel_pop3_store_get_type ()
   from /usr/lib/evolution-data-server-1.2/camel-providers/libcamelpop3.so
No symbol table info available.
#17 0x419bd6a3 in camel_service_connect ()
   from /usr/lib/libcamel-provider-1.2.so.8
No symbol table info available.
#18 0x419be9e2 in camel_session_get_service_connected ()
   from /usr/lib/libcamel-provider-1.2.so.8
No symbol table info available.
#19 0x00647342 in mail_tool_get_inbox ()
   from /usr/lib/evolution/2.8/components/libevolution-mail.so
No symbol table info available.
#20 0x00641a36 in mail_fetch_mail ()
   from /usr/lib/evolution/2.8/components/libevolution-mail.so
No symbol table info available.
#21 0x0063c785 in mail_enable_stop ()
   from /usr/lib/evolution/2.8/components/libevolution-mail.so
No symbol table info available.
#22 0x4143fc04 in e_msgport_reply () from /usr/lib/libedataserver-1.2.so.7
No symbol table info available.
#23 0x494ce3db in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#24 0x4942806e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 1 (Thread -1209022240 (LWP 3541)):
#0  0x00b06402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x494d5cbb in __waitpid_nocancel () from /lib/libpthread.so.0
No symbol table info available.
#2  0x4190dcf6 in gnome_gtk_module_info_get () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  0x0805d9f9 in POA_GNOME_Evolution_DataServer_InterfaceCheck__fini ()
No symbol table info available.
#4  <signal handler called>
No symbol table info available.
#5  0x00b06402 in __kernel_vsyscall ()
No symbol table info available.
#6  0x4941875b in __open_nocancel () from /lib/libc.so.6
No symbol table info available.
#7  0x493bb682 in __GI__IO_file_open () from /lib/libc.so.6
No symbol table info available.
#8  0x493bb825 in _IO_new_file_fopen () from /lib/libc.so.6
No symbol table info available.
#9  0x493b0b4d in __fopen_internal () from /lib/libc.so.6
No symbol table info available.
#10 0x493b2fbc in fopen64 () from /lib/libc.so.6
No symbol table info available.
#11 0x49cfb157 in gdk_pixbuf_new_from_file ()
   from /usr/lib/libgdk_pixbuf-2.0.so.0
No symbol table info available.
#12 0x419fd02c in e_text_to_html () from /usr/lib/evolution/2.8/libeutil.so.0
No symbol table info available.
#13 0x419fd619 in e_icon_factory_get_icon ()
   from /usr/lib/evolution/2.8/libeutil.so.0
No symbol table info available.
#14 0x410e8a4a in e_pixmaps_update ()
   from /usr/lib/evolution/2.8/libeshell.so.0
No symbol table info available.
#15 0x080585c5 in POA_GNOME_Evolution_DataServer_InterfaceCheck__fini ()
No symbol table info available.
#16 0x08059d20 in POA_GNOME_Evolution_DataServer_InterfaceCheck__fini ()
No symbol table info available.
#17 0x08052a3e in POA_GNOME_Evolution_DataServer_InterfaceCheck__fini ()
No symbol table info available.
#18 0x0805ded3 in POA_GNOME_Evolution_DataServer_InterfaceCheck__fini ()
No symbol table info available.
#19 0x4952b5e1 in g_source_is_destroyed () from /lib/libglib-2.0.so.0
No symbol table info available.
#20 0x4952d342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
No symbol table info available.
#21 0x4953031f in g_main_context_check () from /lib/libglib-2.0.so.0
No symbol table info available.
#22 0x495306c9 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#23 0x4a4cba23 in bonobo_main () from /usr/lib/libbonobo-2.so.0
No symbol table info available.
#24 0x0805d82a in POA_GNOME_Evolution_DataServer_InterfaceCheck__fini ()
No symbol table info available.
#25 0x49370f2c in __libc_start_main () from /lib/libc.so.6
No symbol table info available.
#26 0x0804f221 in ?? ()
No symbol table info available.
#0  0x00b06402 in __kernel_vsyscall ()
Comment 1 Need Real Name 2006-11-15 14:33:06 EST
Created attachment 141299 [details]
latest stack.

I can almost reproduce it - it seems to happen almost exclusively after I log
in for the first time (but not if I log out then in again).

I've installed	evolution-data-server-debuginfo.i386 and
evolution-debuginfo.i386 as you can see, let me know if you want anything else
installed..
Comment 2 Need Real Name 2006-12-12 12:25:14 EST
I still encounter this bug daily.
Comment 3 Matthew Barnes 2007-01-07 21:44:18 EST
Thanks for the bug report.  Unfortunately the backtraces don't reveal the source
of the crash.  They both show all threads in the program in a normal wait mode.

Have you been able to reproduce the crash more reliably since reporting this?
Comment 4 Need Real Name 2007-01-08 01:30:36 EST
(In reply to comment #3)
> Have you been able to reproduce the crash more reliably since reporting this?

More reliable than daily? No, sorry.

Please can you look at my other bugs, the maintainers there seem to thin it's a
library problem (bug 215551 and bug 215377). Particularly, they mention the
top-secret bug 212424.
Comment 5 Need Real Name 2007-01-08 01:33:12 EST
Oh and bug 210748.
Comment 6 Mike Chambers 2007-02-17 09:11:51 EST
Is there a status on this yet as to a fix or the fix getting included in the FC
version?
Comment 7 Matthew Barnes 2007-02-17 11:57:12 EST
No, not yet.  Will investigate this as time permits.  A backtrace showing the
location of the crash would likely speed the process along.
Comment 8 Need Real Name 2007-02-18 07:54:23 EST
Created attachment 148286 [details]
latest stack
Comment 9 Matthew Barnes 2007-02-18 09:20:52 EST
Thanks.  This backtrace shows the location of the crash.
Comment 10 Need Real Name 2007-04-02 14:30:32 EDT
> Thanks.  This backtrace shows the location of the crash.
Great. Any ETA for a fix?
Comment 11 Matthew Barnes 2007-04-02 22:24:37 EDT
(In reply to comment #10)
> Great. Any ETA for a fix?

I'm examining the relevant source code but can't guarantee anything until I have
a way to reproduce the crash.

Comment 12 Matthew Barnes 2007-04-02 22:50:34 EDT
The crash appears to be in Thread 6 of the backtrace in comment #8:

#6  0x43765a7a in camel_certdb_nss_cert_get (certdb=0x81bae88, 
    cert=0xb4743c10) at camel-tcp-stream-ssl.c:742
	fingerprint = 0x82e9b88 "\200$4\b\200\004?Lh\004?L\001"
	path = 0x8302d38 "ÿÿÿÿ"
	ccert = (CamelCert *) 0x81bc328
	st = {st_dev = 5634, __pad1 = 0, st_ino = 1822049, st_mode = 33152, 
  st_nlink = 1, st_uid = 500, st_gid = 500, st_rdev = 0, __pad2 = 0, 
  st_size = 827, st_blksize = 4096, st_blocks = 16, st_atim = {
    tv_sec = 1171747892, tv_nsec = 0}, st_mtim = {tv_sec = 1171743673, 
    tv_nsec = 0}, st_ctim = {tv_sec = 1171743673, tv_nsec = 0}, 
  __unused4 = 0, __unused5 = 0}
	nread = 827
	n = <value optimized out>
	fd = 56

Both warnings originate near the point of the crash:

(evolution:3032): camel-WARNING **: rawcert != derCer
(evolution:3032): camel-WARNING **: cert size read truncated X\xf7r\xb4: 0 != 827

It looks like Camel was reading data from a certificate file.  Camel being
Camel, of course the read and interrupt handling logic was written by hand
(probably incorrectly), as opposed to using the facilities provided by GLib.
Comment 13 Matthew Barnes 2007-04-02 23:02:12 EDT
I notice the same warnings appear in all of the backtraces attached here.  It
may be that the certificate files are somehow corrupted, and the read logic is
not handling the error condition properly.

This is a shot in the dark, but you might try deleting your SSL certificates:

   $ rm -rf ~/.camel_certs

You'll have to accept new certificates for each of your mail accounts that use
SSL authentication, but it may correct the problem for you.

In the meantime I'll look into making the certificate file read logic in Camel
more robust.
Comment 14 Need Real Name 2007-04-04 16:05:16 EDT
_Seems_ to be working so far..
Comment 15 Need Real Name 2007-04-12 13:51:34 EDT
Created attachment 152492 [details]
bug buddy

Nope. It's crashing again, but less frequently.
Comment 16 Need Real Name 2007-04-18 12:17:23 EDT
Created attachment 152923 [details]
latest crash

Looks like the problem wasn't solved then.

(does evo assume one ssl cert per account?)
Comment 17 Need Real Name 2007-05-02 02:15:45 EDT
This is *STILL* happenning.

Evolution has crashed three times this morning on start.
Comment 18 Need Real Name 2007-05-05 10:56:58 EDT
Created attachment 154203 [details]
crash while running

Upgraded to FC7T4 (fresh install actually).

Evolution sometimes crashes while running.
Comment 19 Mike Chambers 2007-05-05 12:34:47 EDT
I am really not experiencing any crashes at all for the most part.  Has anyone
that is tried creating a brand new user, logged in and started evo from scratch
to see if it still does it?  And for some of those, are they on upgrades to 7t4
or new installs?
Comment 20 Need Real Name 2007-05-05 17:35:17 EDT
Well mine isn't for a new user, but it is a fresh install. Not only did it crash
eight times after starting the first time (something about a charset conversion
problem with utf7), but it often hangs when not in the foreground.

I've had enough. I've used Epiphany for 2 years since it because useless, so
I'll switch to something that works.
Comment 21 Matthew Barnes 2007-05-09 15:50:40 EDT
Created attachment 154425 [details]
Proposed patch

This patch should make reading cert files more reliable.

With the Fedora 7 release so close, I'm hesitant to put this in Rawhide until I
have confirmation that it works.  Anyone care to test this?
Comment 22 Need Real Name 2007-05-09 18:17:43 EDT
Sure, I'll test it if you provide an rpm.
Comment 23 Matthew Barnes 2007-05-09 22:07:13 EDT
Filed upstream with patch: http://bugzilla.gnome.org/show_bug.cgi?id=437331
Comment 24 Matthew Barnes 2007-05-09 22:33:53 EDT
I haven't been able to reproduce this issue so I can't say for sure whether the
patch fixes it, but it at least seems to not break things so I'll go ahead and
put it in Rawhide since I don't really have a means of distributing RPMs
out-of-band.

Please try evolution-data-server-1.10.1-6.fc7.
Comment 25 Need Real Name 2007-05-21 13:01:52 EDT
Still running evolution-data-server-1.10.1-1.fc7 here,
evolution-data-server-1.10.1-6.fc7 hasn't come through yet.
Comment 26 Need Real Name 2007-06-17 16:22:50 EDT
You fixed it! Thanks a lot! evolution-2.10.2-2.fc7
Comment 27 Matthew Barnes 2007-06-17 17:46:10 EDT
Good!  Closing this then.  Feel free to reopen this bug if you encounter the
problem again.
Comment 28 Need Real Name 2007-07-15 06:58:11 EDT
Bug 248292 filed, likely related to this one.
Comment 29 Matthew Barnes 2007-08-14 10:08:21 EDT
I doubt it's related to this.  More likely related to the patch here:
http://bugzilla.gnome.org/show_bug.cgi?id=376991

Note You need to log in before you can comment on or make changes to this bug.